com.amazonaws.services.machinelearning.model

## Enum EvaluationFilterVariable

- java.lang.Object
- - java.lang.Enum<EvaluationFilterVariable>
  - - com.amazonaws.services.machinelearning.model.EvaluationFilterVariable

All Implemented Interfaces:
  Serializable, Comparable<EvaluationFilterVariable>

    public enum EvaluationFilterVariable
    extends Enum<EvaluationFilterVariable>

A list of the variables to use in searching or filtering `Evaluation`.

- `CreatedAt` - Sets the search criteria to `Evaluation` creation date.
- `Status` - Sets the search criteria to `Evaluation` status.
- `Name` - Sets the search criteria to the contents of `Evaluation` `Name`.
- `IAMUser` - Sets the search criteria to the user account that invoked an evaluation.
- `MLModelId` - Sets the search criteria to the `Predictor` that was evaluated.
- `DataSourceId` - Sets the search criteria to the `DataSource` used in evaluation.
- `DataUri` - Sets the search criteria to the data file(s) used in evaluation. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CreatedAt`
`DataSourceId`
`DataURI`
`IAMUser`
`LastUpdatedAt`
`MLModelId`
`Name`
`Status`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EvaluationFilterVariable` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static EvaluationFilterVariable` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EvaluationFilterVariable[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CreatedAt

    public static final EvaluationFilterVariable CreatedAt

#### LastUpdatedAt

    public static final EvaluationFilterVariable LastUpdatedAt

#### Status

    public static final EvaluationFilterVariable Status

#### Name

    public static final EvaluationFilterVariable Name

#### IAMUser

    public static final EvaluationFilterVariable IAMUser

#### MLModelId

    public static final EvaluationFilterVariable MLModelId

#### DataSourceId

    public static final EvaluationFilterVariable DataSourceId

#### DataURI

    public static final EvaluationFilterVariable DataURI

### Method Detail

#### values

    public static EvaluationFilterVariable[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EvaluationFilterVariable c : EvaluationFilterVariable.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EvaluationFilterVariable valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<EvaluationFilterVariable>`

#### fromValue

    public static EvaluationFilterVariable fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  EvaluationFilterVariable corresponding to the value